.pc-container {
    opacity: 0;
    position: absolute;
    left: 50px;
    transition: left 1s, opacity 1s;
    width: 100vw;
    display: flex;
    justify-content: center;
}

.mobile-container {
    display: none;
}

.start-loader {
    position: fixed;
    width: 5vw;
    height: 5vw;
    border: 2vw solid rgba(266, 266, 266, 0.8);
    border-top: 2vw solid #047b6f;
    z-index: 200;
    transition: opacity .5s, border .5s;
    opacity: 1;
    left: 47.5vw;
    top: calc(50vh - 2.5vw);
    border-radius: 50%;
    -webkit-box-shadow: inset 0px 0px 2px 0px rgba(66, 68, 90, 1);
    -moz-box-shadow: inset 0px 0px 2px 0px rgba(66, 68, 90, 1);
    box-shadow: inset 0px 0px 2px 0px rgba(66, 68, 90, 1);
    animation: colorChange 5s linear infinite, spin 2s linear infinite;
}

.start-loader-inner {
    border-top: #047b6f;
    animation: spin 1s linear infinite, colorChange 5s linear infinite;
    position: fixed;
    width: 5vw;
    height: 5vw;
    border: 2vw solid transparent;
    border-top: 2vw solid #047b6f;
    z-index: 200;
    transition: opacity .5s, border .5s;
    opacity: 1;
    left: 47.5vw;
    top: calc(50vh - 2.5vw);
    border-radius: 50%;
}

@keyframes colorChange {
    0% {
        border-top: 2vw solid #047b6f;
    }

    25% {
        border-top: 2vw solid #0d7f7b;
    }

    50% {
        border-top: 2vw solid #07BEB8;
    }

    75% {
        border-top: 2vw solid #3498db;
    }

    100% {
        border-top: 2vw solid #047b6f;
    }
}



body {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    height: 100vh;
    overflow: hidden;
    font-family: 'Dosis';
}

@media (min-width: 1100px) {
    body::before {
        content: '';
        position: absolute;
        background: linear-gradient(-45deg, #9fd8d8, #0d7f7b, #9fd8d8, #047b6f, #9fd8d8, #0d7f7b, #e9ffff, #047b6f);
        background-size: 200% 200%;
        animation: gradientAnimation 15s ease infinite, spin 30s ease infinite;
        z-index: 0;
        height: 300vh;
        width: 200vw;
        top: -100vh;
    }
}

@keyframes gradientAnimation {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

@keyframes spin {
    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(360deg);
    }
}

h1 {
    text-align: center;
    border-bottom: 1px solid;
    padding-bottom: 20px;
    margin: 0 20px 20px;
}


a:-webkit-any-link {
    color: #cdb4db;
}


.main-container {
    width: 90vw;
    height: 90vh;
    border-radius: 15px;
    display: flex;
    /* align-items: center; */
    align-items: flex-start;
    color: white;
}

.left-container {
    margin-top: 50px;
    -webkit-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    -moz-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    width: 200px;
    height: max-content;
    flex-direction: column;
    background-color: #343a40;
}

.language {
    position: fixed;
    left: 0;
    bottom: 0;
}

.language img {
    transition: transform .5s;
    cursor: pointer;
    margin-left: 10px;
    margin-top: 3px;
}

.language img:hover {
    transform: scale(1.1);
    transition: transform .5s;
}

.marks {
    height: fit-content;
}

.mark {
    background: #343a40;
    -webkit-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    -moz-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    padding: 10px;
    text-align: center;
    cursor: pointer;
    position: relative;
    right: 0px;
    width: 180px;
    transition: background .5s, right .5s, width .5s, border-top-left-radius .8s, border-bottom-left-radius .8s;

}

.mark:hover {
    background-color: #68D8D6;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    width: 200px;
    right: 20px;
    transition: background .5s, right .5s, width .5s, border-top-left-radius .8s, border-bottom-left-radius .8s;
}

.mark.active {
    background-color: #07BEB8;
}

.socials {
    display: flex;
    justify-content: center;
    align-items: end;
    margin-top: 40px;
}

.socials img {
    cursor: pointer;
    transition: transform .5s;
    margin: 0 5px;
    height: 32px;
}

.socials img:hover {
    transform: scale(1.2);
    transition: transform .5s;
}

.center-container {
    width: calc(90vw - 540px);
    height: calc(90vh - 100px);
    display: flex;
    overflow: hidden;
    mask-image: linear-gradient(to bottom, transparent, white 50px, white calc(100% - 50px), transparent);
    padding: 50px 20px 50px;
}

.text-container>div {
    padding: 20px 20px;
    margin-bottom: 50px;
    background: #343a40;
    border-radius: 10px;
    -webkit-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    -moz-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    overflow: hidden;
}

.text-container>div:last-child {
    margin-bottom: 100px;
}

.right-container {
    position: relative;
    width: 400px;
}

.text-container {
    width: calc(90vw - 682px);
    z-index: 2;
    position: relative;
    bottom: 0px;
    height: fit-content;
}

.slider {
    cursor: pointer;
    width: 14px;
    background-color: #161a1d;
    border-left: 13px solid #343a40;
    border-right: 13px solid #343a40;
    border-bottom: 13px solid #343a40;
    border-top: 13px solid #343a40;
    z-index: 5;
    margin: 0 20px;
    -webkit-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    -moz-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    border-radius: 5px;
}

.slider-button {
    z-index: 5;
    -webkit-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    -moz-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    background: linear-gradient(to top, rgba(104, 216, 214) 0%, rgba(7, 190, 184) 100%);
    height: 80px;
    width: 40px;
    position: relative;
    top: 0px;
    right: 13px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.slider-button:hover,
.slider-button.dragging {
    height: 76px;
    width: 36px;
    border: 2px solid white;
}

.about-me p {
    font-size: 18.5px;
}

.timeline-container {
    display: flex;
    flex-direction: column;
}

.timeline-element-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    left: -100px;
    position: relative;
    opacity: 0;
    transition: opacity .8s, left .8s;
    /* .timeline-element {
    }

    .timeline-image-element {
        left: 100px;
    } */
}

.timeline-element-container:nth-child(odd) {
    flex-direction: row-reverse;
    left: 100px;

    /* .timeline-element {
    }
    
    .timeline-image-element {
        left: -100px;
    }
} */
}

.timeline-element {
    width: calc(50% - 8px);
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    -webkit-box-shadow: 0px 0px 4px 0px rgba(255, 255, 255, 1);
    -moz-box-shadow: 0px 0px 4px 0px rgba(255, 255, 255, 1);
    box-shadow: 0px 0px 4px 0px rgba(255, 255, 255, 1);
    padding: 10px 5px;
    border-radius: 15px;
    position: relative;
}

.timeline-title {
    padding: 15px 0;
    font-weight: 600;
    font-size: 18px;
    text-align: center;
    line-height: 18px;
    border-top: 1px solid #505861;
    border-bottom: 1px solid #505861;
    width: calc(100% - 20px);
}

.timeline-additional {
    text-align: left;
}

.timeline-additional ul {
    padding-left: 30px;
}

.timeline-image-element:first-of-type {
    margin-top: 25px;
}

.timeline-image-element {
    width: 50%;
    max-height: 225px;
    text-align: center;
    align-items: center;
    display: flex;
    justify-content: center;
    position: relative;
}

.timeline-image-element img {
    width: auto;
    max-width: 60%;
    border-radius: 5px;
    max-height: 200px;
}


.technologies-and-skills {
    display: flex;
    flex-direction: column;
}

.technologies-and-skills-outer-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.technologies-and-skills-inner-container {
    display: flex;
    flex-direction: column;
    margin: 0 15px;
    justify-content: center;
    width: fit-content;
    gap: 12px;
    position: relative;
    max-width: 100%;
    opacity: 0;
    transition: opacity .8s, left .8s;

    h2 {
        text-align: center;
    }
}

.technologies-and-skills-inner-container>div {
    margin: 0 30px;
    max-width: 100%;
    min-width: fit-content;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.tech-img-container {
    width: 32px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    height: 80px;
    align-items: center;
}

.tech-img-container>div:nth-child(1),
.tech-img-container img {
    width: 32px;
    z-index: 3;
    transition: transform .3s;
}

.tech-img-container>div:nth-child(1) {
    min-height: 50px;
    padding: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.white-field {
    z-index: 2;
    width: 160px;
    min-height: 52px;
    position: relative;
    bottom: 25px;
    background: linear-gradient(to top, rgba(52, 58, 64, 0) 0%, rgba(52, 58, 64, 1) 60%, rgba(52, 58, 64, 1) 100%);
}

.tech-name {
    z-index: 1;
    display: flex;
    justify-content: center;
    width: 150px;
    position: relative;
    bottom: 72px;
    text-align: center;
    transition: bottom .3s ease;
}

.portfolio-container {
    overflow: hidden;
}

.portfolio-element {
    position: relative;
    bottom: 210px;
    opacity: 0;
    border-bottom: 1px solid white;
    padding-bottom: 20px;
    margin-bottom: 20px;
    transition: opacity .5s, bottom .5s;
}

.portfolio-element:last-child {
    margin-bottom: 0px;
    padding-bottom: 0;
    border-bottom: none;
    text-align: center;
    color: gray;
}

.portfolio-element-container {
    display: flex;
    align-items: center;
}

.portfolio-element-logo {
    display: flex;
    align-items: center;
    margin-right: 20px;
    border-radius: 15px;
    -webkit-box-shadow: 0px 0px 4px 0px rgba(255, 255, 255, 1);
    -moz-box-shadow: 0px 0px 4px 0px rgba(255, 255, 255, 1);
    box-shadow: 0px 0px 4px 0px rgba(255, 255, 255, 1);
    margin-left: 4px;
    height: 50px;
    min-width: 50px;
    justify-content: center;
    overflow: hidden;

    img {
        width: 50px;
    }
}

.portfolio-element-logo#varia {
    background: white;

    img {
        width: 40px;
    }
}

.portfolio-element-logo#gomove {
    background: #90ee90
}

.portfolio-element h2 {
    text-align: left;
    margin: 0px 0 20px 71px;
}

.portfolio-element-description {
    font-size: 18px;
    margin-bottom: 10px;
    ul{
        padding-left: 0px !important;
    }
    li{
        margin-left: 20px;
    }
}

.portfolio-element-additional {
    display: flex;
    justify-content: center;
    gap: 20px;
    padding-top: 20px;
    border-top: 1px solid #505861;
    width: 40%;
    margin: auto;
    margin-top: 20px;
}

.portfolio-additional-icon-container {
    width: 24px;
    height: 24px;
    display: flex;
    justify-content: center;
    align-items: center;

    img {
        width: 24px;
        height: 24px;
    }
}

.portfolio-element-additional>div {
    display: flex;
    flex-direction: column;
    width: 44px;
    align-items: center;
    transition: transform .3s;
    cursor: pointer;
}

.portfolio-element-additional>div:hover {
    transform: scale(1.15);
    transition: transform .3s;
}

#form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin-top: 40px;
    opacity: 0;
    transition: opacity .5s, height .5s;
}

.form-inner-container {
    display: flex;
    max-width: 100%;
    flex-wrap: wrap;
    gap: 30px;
    justify-content: space-around;
}

input.contact-form-text-input {
    min-width: 200px;
}

@media (max-width: 1350px) {

    input.contact-form-text-input {
        width: -webkit-fill-available;
    }
}

textarea.contact-form-text-input {
    margin-top: 20px;
    resize: none;
    width: 436px;
    height: 140px;
}

.contact-form-text-input {
    border: 2px solid#343a40;
    border-bottom: 2px solid #07BEB8;
    background: none;
    padding: 5px;
    color: white;
    transition: border .4s ease, background .4s ease, border-radius .4s ease;
}

.contact-form-text-input:focus-visible,
.contact-form-text-input:hover {
    border-radius: 5px;
    outline: none;
    border: none;
    border: 2px solid #07BEB8;
    background-color: #161a1d;
    transition: border .4s ease, background .4s ease, border-radius .4s ease;
}

#submit-form {
    padding: 5px;
    margin-top: 40px;
    margin-bottom: 20px;
    background-color: #07BEB8;
    font-family: 'Dosis';
    font-weight: 600;
    font-size: 17px;
    border: 2px solid #07BEB8;
    border-radius: 3px;
    transition: background .3s;
    color: #343a40;
    cursor: pointer;
}

#error-message {
    height: 0px;
    overflow: hidden;
    transition: height .5s;
}

#loader-container {
    height: 0px;
    margin-top: 0px;
    overflow: hidden;
    transition: height .5s, margin .5s;
}

#loader {
    border: 4px solid #f3f3f3;
    border-top: 4px solid #3498db;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#submit-form:hover {
    background-color: #343a40;
    color: #07BEB8;
    transition: background .3s;
}

.footer-space {
    height: 80px;
}

.photo-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 40px;
    margin-bottom: 30px;
}

.photo-container img {
    border-radius: 50%;
    width: 300px;
    height: 300px;
    -webkit-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    -moz-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
    box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
}

.additional-info h1 {
    text-align: center;
    margin-bottom: 30px;
}

.info-outer-container {
    display: flex;
    justify-content: space-around;
}

.info-inner-container {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.info-inner-container img {
    margin-right: 10px;
}

.gallery {
    z-index: 10;
    width: 80vw;
    height: 80vh;
    opacity: 0;
    overflow: hidden;
    background: rgba(0, 0, 0, 0.8);
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 15px;
    transition: opacity .5s;
}

.close-gallery {
    position: absolute;
    right: 12.5vw;
    top: 12.5vh;
    transition: transform .5s;
    cursor: pointer;

    svg {
        width: 3vw;
        fill: white;
    }
}

.close-gallery:hover {
    transform: scale(1.2);
    transition: transform .5s;
}

.imgs-outter-container {
    overflow: hidden;
    width: calc(60vw);
    left: 12.5%;
    top: 7.5vh;
    height: calc(60vh);
    position: relative;
    background: rgba(229, 229, 229, 0.4);
}

.imgs-inner-container {
    height: 60vh;
    display: flex;
    position: relative;
    right: 0;
    transition: right .5s;
}

.image-container {
    width: calc(60vw);
    max-height: 60vh;
    display: flex;
    align-items: center;

    img {
        width: calc(60vw);
        max-height: 60vh;
        -webkit-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
        -moz-box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
        box-shadow: 0px 0px 2px 0px rgba(66, 68, 90, 1);
        object-fit: contain;
    }
}

.mini-images-container {
    height: 10vh;
    display: flex;
    gap: 20px;
    position: relative;
    top: 10vh;
    left: calc(20vw - 30px);
}

.mini-image-container {
    width: calc(10vw - 4px);
    border: 2px solid transparent;
    height: 7.5vh;
    border: 2px solid white;
    background: rgba(229, 229, 229, 0.4);
    transition: transform .5s, border .5s;
    cursor: pointer;

    img {
        width: calc(10vw - 4px);
        height: 7.5vh;
        object-fit: contain;
    }
}

.mini-image-container.active {
    border: 2px solid cyan;
    transition: transform .5s, border .5s;
}

.mini-image-container:hover {
    transform: scale(1.1);
    transition: transform .5s, border .5s;
}

.left-arrow-container,
.right-arrow-container {
    border: 2px solid white;
    display: flex;
    cursor: pointer;
    position: absolute;
    transition: transform .5s;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    width: 3vw;
    height: 3vw;
    padding: 1vw;
    transition: border .5s, background .5s;

    svg {
        transition: fill .5s;
    }
}

.left-arrow-container:hover,
.right-arrow-container:hover {
    background: white;
    transition: border .5s, background .5s;

    svg {
        fill: #000;
        transition: fill .5s;

    }
}

.left-arrow-container.disabled,
.right-arrow-container.disabled {
    cursor: auto;
    border: 2px solid gray;
    background: transparent;
    transition: border .5s, background .5s;

    svg {
        fill: gray;
        transition: fill .5s;
    }
}

.left-arrow-container {
    left: 12.5vw;
}

.right-arrow-container {
    right: 12.5vw;
}

.left-arrow,
.right-arrow {
    height: -webkit-fill-available;
}

@media screen and (max-width: 1100px) {
    .pc-container {
        display: none;
    }

    body {
        background: #343a40;
        color: white;
        height: auto;
        max-width: 100vw;
        overflow: scroll;
        overflow-x: hidden;
    }

    .mobile-container {
        display: flex;
        flex-direction: column;
        opacity: 0;
        transition: opacity .5s;
    }

    .overlay {
        position: fixed;
        width: 100vw;
        height: 100vh;
        z-index: 1;
        background: rgb(0, 0, 0);
        opacity: 0;
        transition: opacity .5s;
    }

    #navbar {
        position: fixed;
        top: 0;
        left: 0;
        width: calc(100vw - 20px);
        background-color: #343a40;
        color: white;
        padding: 10px;
        transform: translateY(0%);
        height: 60px;
        text-align: right;
        transition: transform .5s;
        display: flex;
        justify-content: right;
        align-items: center;
        z-index: 40;
        -webkit-box-shadow: 0px 0px 14px 0px rgba(0, 0, 0, 1);
        -moz-box-shadow: 0px 0px 14px 0px rgba(0, 0, 0, 1);
        box-shadow: 0px 0px 14px 0px rgba(0, 0, 0, 1);
    }

    .mobile-menu-button {
        margin-right: 10px;
        position: fixed;
        height: 40px;
        top: 20px;
        left: calc(100vw - 50px);
        transition: left .5s, top.5s;
        z-index: 50;
    }

    .mobile-menu {
        position: fixed;
        left: calc(100vw + 15px);
        top: 0px;
        height: 100vh;
        z-index: 51;
        background-color: #343a40;
        display: flex;
        flex-direction: column;
        justify-content: center;
        transition: left .5s;
        -webkit-box-shadow: 0px 0px 14px 0px rgba(0, 0, 0, 1);
        -moz-box-shadow: 0px 0px 14px 0px rgba(0, 0, 0, 1);
        box-shadow: 0px 0px 14px 0px rgba(0, 0, 0, 1);
    }

    .mark:hover {
        background: none;
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
        width: 180px;
        right: 0px;
    }

    .mark.active {
        background-color: #68D8D6;
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
        width: 180px;
        right: 0px;
    }

    .language {
        height: 33.3%;
        text-align: right;
        margin-right: 10px;
        position: relative;
    }

    .socials {
        height: 33.3%;
    }

    .first-container {
        max-width: 100vw;
        -webkit-box-shadow: 0px 0px 14px 0px rgba(0, 0, 0, 1);
        -moz-box-shadow: 0px 0px 14px 0px rgba(0, 0, 0, 1);
        box-shadow: 0px 0px 14px 0px rgba(0, 0, 0, 1);
        overflow-x: hidden;
        z-index: 20;
    }

    .photo-container {
        margin-top: 100px;
    }

    .photo-container img {
        width: 80%;
        height: 80%;
    }

    .info-outer-container {
        margin-bottom: 30px;
    }

    .text-container {
        width: 100vw;
        max-width: 100vw;
        overflow-x: hidden;
    }

    .text-container>div {
        margin-bottom: 0px;
        border-bottom: 1px solid #505861;
        border-radius: 0;
    }

    .text-container>div:last-child {
        margin-bottom: 0;
        border-bottom: none;
    }

    .about-me p {
        font-size: 16px;
    }

    .timeline-container {
        width: 100%;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .timeline-element-container {
        width: 100%;
        justify-content: center;
    }

    .portfolio-element-description {
        font-size: 16px;
    }

    #form {
        margin-top: 20px;
    }

    input.contact-form-text-input {
        width: 100%;
        margin-top: 20px;
    }

    textarea.contact-form-text-input {
        width: 100%;
    }

    .gallery {
        position: fixed;
        left: 5vw;
        top: 5vh;
        height: 90vh;
        width: 90vw;
        z-index: 100;
        ;
    }

    .close-gallery {
        right: 20px;
        top: 20px;
    }

    .imgs-outter-container {
        width: calc(70vw - 4px);
        left: 10vw;
        top: 7.5vh;
        height: calc(67.5vh - 4px);
    }

    .image-container {
        width: calc(70vw - 4px);
        min-height: calc(67.5vh - 4px);
        max-height: calc(67.5vh - 4px);

        img {
            width: calc(70vw - 4px);
        }
    }

    .left-arrow-container {
        left: 2.5vw;
    }

    .right-arrow-container {
        right: 2.5vw;
    }

    .mini-images-container {
        left: calc(25vw - 30px);
    }
}